﻿using System;

namespace RockPaperScissorsGame
{
    class Program
    {
        static void Main()
        {
            Console.WriteLine("iNetTutor.com");
            Console.WriteLine("Rock, Paper, Scissors Game");

            // Prompt user to choose rock, paper, or scissors
            Console.Write("Enter your choice (rock, paper, or scissors): ");
            string userChoice = Console.ReadLine().ToLower();

            // Validate user input
            if (userChoice == "rock" || userChoice == "paper" || userChoice == "scissors")
            {
                // Generate computer's random choice
                string[] options = { "rock", "paper", "scissors" };
                Random random = new Random();
                int randomIndex = random.Next(options.Length);
                string computerChoice = options[randomIndex];

                // Display choices
                Console.WriteLine($"Your choice: {userChoice}");
                Console.WriteLine($"Computer's choice: {computerChoice}");

                // Determine the winner
                if (userChoice == computerChoice)
                {
                    Console.WriteLine("It's a tie!");
                }
                else if ((userChoice == "rock" && computerChoice == "scissors") ||
                         (userChoice == "paper" && computerChoice == "rock") ||
                         (userChoice == "scissors" && computerChoice == "paper"))
                {
                    Console.WriteLine("You win!");
                }
                else
                {
                    Console.WriteLine("Computer wins!");
                }
            }
            else
            {
                Console.WriteLine("Invalid choice. Please enter rock, paper, or scissors.");
            }

            Console.ReadKey();
        }
    }
}